<?php
// 错误报告设置
error_reporting(0);
ini_set('display_errors', 0);

// 设置响应头
header('Content-Type: text/html; charset=UTF-8');
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

// 包含防护文件
if(file_exists('txprotect.php')) {
    include 'txprotect.php';
}

// 设置目标URL
$target = 'https://xxx.example.com/';

// 处理URI重定向
$requested_uri = $_SERVER['REQUEST_URI'];
if (preg_match('/^\/(\d+)$/', $requested_uri, $matches)) {
    $redirect_url = $target . $matches[0];
    header("Location: " . $redirect_url, true, 302);
    exit();
}

// 检测移动设备函数
function checkmobile() {
    $useragent = strtolower($_SERVER['HTTP_USER_AGENT']);
    $ualist = array(
        'android', 'midp', 'nokia', 'mobile', 'iphone', 'ipod', 
        'blackberry', 'windows phone'
    );
    
    foreach($ualist as $v) {
        if(strpos($useragent, $v) !== false) {
            return true;
        }
    }
    
    if(strpos($_SERVER['HTTP_ACCEPT'], "VND.WAP") !== false || 
       strpos($_SERVER['HTTP_VIA'],"wap") !== false){
        return true;
    }
    return false;
}

// 获取用户浏览器类型
$userAgent = isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : '';
$isQQ = strpos($userAgent, 'QQ/') !== false;
$isWeChat = strpos($userAgent, 'MicroMessenger') !== false;

// 根据不同浏览器显示不同内容
if($isQQ || $isWeChat) {
    $browserType = $isQQ ? 'QQ' : 'WeChat';
    $imageFile = $isQQ ? 'qq.png' : 'wx_az.png';
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="utf-8">
    <title>浏览器提示</title>
    <meta name="viewport" content="width=device-width,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <meta name="format-detection" content="telephone=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="wap-font-scale" content="no">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <link href="css/index.css" rel="stylesheet" type="text/css">
    <script src="js/jquery.min.js"></script>
    <script>
        $(function() {
            setRootFontSize();
            $(window).on('resize', setRootFontSize);
        });
        
        function setRootFontSize() {
            $('html').css('font-size', document.body.clientWidth / 15 + 'px');
        }
    </script>
    <style>
        body {
            background-color: #f5f5f5;
            margin: 0;
            padding: 0;
        }
        .container {
            text-align: center;
            padding: 20px;
        }
        .tip-text {
            font-size: 16px;
            color: #333;
            margin: 15px 0;
        }
    </style>
</head>
<body>
    <div id="Pan_WX" class="container">
        <div class="fc_jt">
            <img src="img/jt.png" alt="箭头">
        </div>
        <div class="fc_wz tip-text">
            点击屏幕右上角【...】<br>
            使用【浏览器】打开
        </div>
        <div class="fc_tp">
            <img src="img/<?php echo $imageFile; ?>" alt="提示图片">
        </div>
    </div>
</body>
</html>
<?php
} else {
    // 非QQ和微信浏览器直接跳转
    echo '<script>window.location.href="' . $target . '";</script>';
    exit();
}
?>